Create a Disputed Balance

post

/disputeBalance

Creates a disputed balance.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : Dispute Balance Create Oracle
Type: object
Title: Dispute Balance Create Oracle
A disputed balance, used in DisputeBalance create requests.
Show Source
Nested Schema : Quantity
Type: object
Represents an amount in a specified unit.
Show Source
Nested Schema : bieId
Type: array
The bill, item, or event IDs associated with the dispute.
Show Source
Nested Schema : Party Account Ref
Type: object
Title: Party Account Ref
A reference to a party account.
Show Source
Nested Schema : BIEField Oracle
Type: object
Title: BIEField Oracle
A bill, item, or event, extended for BRM REST Services Manager.
Show Source
Back to Top

Response

Supported Media Types

201 Response

The disputed balance was created successfully.
Body ()
Root Schema : Dispute Balance Oracle
Type: object
Title: Dispute Balance Oracle
A disputed balance, extended for BRM REST Services Manager.
Show Source
Nested Schema : Quantity
Type: object
Represents an amount in a specified unit.
Show Source
Nested Schema : Bill Ref
Type: object
Title: Bill Ref
A reference to a bill.
Show Source
Nested Schema : billEvent
Type: array
The events are associated with the dispute.
Show Source
Nested Schema : Billing Cycle Specification Ref Oracle
Type: object
Title: Billing Cycle Specification Ref Oracle
A reference to a billing cycle specification, extended for BRM REST Services Manager.
Show Source
Nested Schema : billItem
Type: array
The bill items associated with the dispute.
Show Source
Nested Schema : Bill Structure Ref
Type: object
Title: Bill Structure Ref
A reference to a bill structure, extended for BRM REST Services Manager.
Show Source
Nested Schema : Party Account Ref
Type: object
Title: Party Account Ref
A reference to a party account.
Show Source
Nested Schema : BillEvent Dispute Oracle
Type: object
Title: BillEvent Dispute Oracle
A disputed bill event.
Show Source
Nested Schema : Money
Type: object
Represents a monetary amount.
Show Source
Nested Schema : BillItem Dispute Oracle
Type: object
Title: BillItem Dispute Oracle
A disputed bill item (AppliedCustomerBillingRate).
Show Source

400 Response

The request isn't valid.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

401 Response

The client doesn't have the correct privileges.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

403 Response

The request wasn't authorized.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

405 Response

This method is not allowed.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

409 Response

The request could not be processed due to the conflict with the existing state of the resource.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

500 Response

The system encountered an internal error.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source
Back to Top

Examples

The following example shows how to create a disputed balance for an event by submitting a POST request on the REST resource using cURL. For more information about cURL, see Use cURL.

The -d option specifies the file to attach as the request body.

curl -X POST 'http://host:port/brm/prepayBalanceManagement/version/disputeBalance' -d @disputeBalanceCreate.json

Request Body

The following is an example of the contents of the disputeBalanceCreate.json file sent as the request body.

{
   "description": "My First Event Dispute",
   "reason": "1",
   "amount": {
      "amount": 1.00,
      "units": "USD"
   },
   "bieId": [
      {
         "id": "0.0.0.1+-event-billing-product-fee-cycle-cycle_forward_monthly+324100843496386447"
      }
   ],
   "taxTreatment": "TaxExcluded"
}

Response Body

The following is an example of the response body in JSON format.

{
   "id": "0.0.0.1+-item-dispute+115931",
   "href": "https://host:port/brm/prepayBalanceManagement/version/disputeBalance/0.0.0.1+-item-dispute+115931",
   "actionType": "EventDispute",
   "disputeNo": null,
   "amount": {
      "amount": -1.0,
      "units": "USD",
      "@baseType": null,
      "@schemaLocation": null,
      "@type": null
   },
   "taxAmount": null,
   "reason": "1",
   "description": "My First Event Dispute",
   "partyAccount": {
      "id": "0.0.0.1+-account+114053",
      "href": null,
      "description": null,
      "name": null,
      "status": null,
      "@baseType": null,
      "@schemaLocation": null,
      "@type": null,
      "@referredType": null
   },
   "validFor": null,
   "discount": null,
   "taxTreatment": null,
   "confirmationDate": null,
   "requestedDate": "2025-06-23T03:24:36-07:00",
   "billingCycleSpecification": null,
   "bill": null,
   "billItem": null,
   "billEvents": null,
   "status": "Open",
   "settlementId": null,
   "@baseType": null,
   "@schemaLocation": null,
   "@type": null
}
Back to Top